Security update for terraform

SUSE Security Update: Security update for terraform
Announcement ID: SUSE-SU-2020:0320-1
Rating: important
References: #1158440
Cross-References:CVE-2019-19316
Affected Products:
  • SUSE Linux Enterprise Module for Public Cloud 15-SP1

An update that fixes one vulnerability is now available.

Description:

This update for terraform to version 0.12.19 fixes the following issues:

  • CVE-2019-19316: Fixed an information leak where SAS token could be transfered in cleartext (bsc#1158440).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Public Cloud 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-15-SP1-2020-320=1

Package List:

  • SUSE Linux Enterprise Module for Public Cloud 15-SP1 (aarch64 ppc64le s390x x86_64):
    • terraform-0.12.19-3.6.1

References: